NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.StudioXformBuilderEx Class Reference

Represents a NXOpen.Features.StudioXform builder More...

Inheritance diagram for NXOpen.Features.StudioXformBuilderEx:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AdvancedMethodOptionType { Proportional, LockRegion, InsertKnot, AdvancedOff }
 Represents the advanced method option type More...
 
enum  AdvancedMethodType {
  ProportionalMovement, Falloff, KeepContinuity, LockRegion,
  InsertKnot, AdvanceOff
}
 Represents the advanced method type More...
 
enum  ExtrationMethodType { Original, MinimumBounded, FittoBoundary }
 B-surface extraction method More...
 
enum  FeatureType { Relative, Absolute }
 Represents the feature type More...
 
enum  InsertKnotDirectionType { UDirection, VDirection }
 Represents the insert knot direction type More...
 
enum  InsertPoleType { Next, Previous }
 Represents the insert pole type More...
 
enum  MovementMethodType {
  WCS, View, Vector, Plane,
  Normal, Polygon
}
 Represents the Xform movement type More...
 
enum  PlanarizeDirectionType { U, V }
 Represents the planarize direction type More...
 
enum  PlanarizeMethodType { AtPlaneLocation, AtPoleLocation, OnaBestFitPlane }
 Represents the planarize method type More...
 
enum  PlanarizeProjectionPlaneType { YZ, XZ, XY, Plane }
 Represents the planarize projection plane type More...
 
enum  PoleEditType { None, Constrained, Free }
 Editing types of a pole of spline belonging to a Studio Spline feature More...
 
enum  PrincipalMovementDirectionType {
  X, Y, Z, YZ,
  XZ, XY, XYZ
}
 Represents the principal movement direction type More...
 
enum  PrincipalRotatingAxisType { X, Y, Z }
 Represents the principal rotation axis type More...
 
enum  PrincipalScalingDirectionType {
  X, Y, Z, YZ,
  XZ, XY
}
 Represents the principal scaling direction type More...
 
enum  ProportionalPoleControlType { All, Selected, ByUV }
 Represents the pole control type in proportional method More...
 
enum  RotatingAxisType { WCS, View, Vector, Plane }
 Represents the rotation axis type More...
 
enum  RotatingPivotType { Rotateaboutobjectcenter, Rotateaboutselected, Rotateaboutpoint }
 Represents the rotating pivot type More...
 
enum  ScalingCenterType { Scaleaboutobjectcenter, Scaleaboutselected, Scaleaboutpoint }
 Represents the scaling center type More...
 
enum  ScalingDirectionType {
  WCS, View, Vector, Plane,
  PlaneofCurve
}
 Represents the scaling direction type More...
 
enum  SurfaceDirectionType { U, V }
 Represents the U or V direction of a B-Surface More...
 
enum  Types { Translate, Rotate, Scale, Planarize }
 Represents the Xform editing type More...
 

Public Member Functions

unsafe void ChangeDegree (NXOpen.NXObject xformObject)
 Changes degree of the selected xform object More...
 
unsafe void ChangeDegreeWithParameters (NXOpen.NXObject xformObject, int uDegree, int vDegree, int uPatch, int vPatch)
 Changes degree of the selected xform object with desired parameters More...
 
unsafe void ChangeFlexibility (NXOpen.NXObject xformObject)
 Changes flexibility of the selected xform object More...
 
unsafe void ConvertParameters (NXOpen.NXObject xformObject)
 Converts parameters of the feature that owns selected xform object. More...
 
unsafe void EndLockRegion (NXOpen.NXObject xformObject)
 End Lock Region operation to the selected xform object More...
 
unsafe void FallOffReset ()
 Reset the fall off scale More...
 
unsafe void InsertKnot (NXOpen.NXObject xformObject)
 Inserts knot in the selected xform object More...
 
unsafe void InsertKnots ()
 Insert knots More...
 
unsafe void InsertPole (NXOpen.NXObject xformObject, int poleIndex, NXOpen.Features.StudioXformBuilderEx.InsertPoleType insertType, NXOpen.Features.StudioXformBuilderEx.SurfaceDirectionType direction, double location)
 Inserts a pole in the selected xform object More...
 
unsafe void LockRegionNextObject ()
 Move to next object in Lock Region method when more than one objected are in editing More...
 
unsafe void ProportionalReset ()
 Reset the proportional scale More...
 
unsafe void RebaseOriginalGeometry (NXOpen.NXObject xformObject)
 Replaces the original geometry data of an entity with the current deformed geometry data More...
 
unsafe void RemovePole (NXOpen.NXObject xformObject, int poleIndex, NXOpen.Features.StudioXformBuilderEx.SurfaceDirectionType direction)
 Inserts a pole in the selected xform object More...
 
unsafe void RestoreParentFace ()
 Restore the parent face of a selection face More...
 
unsafe void SetPoleEditType (NXOpen.NXObject xformObject, int index, NXOpen.Features.StudioXformBuilderEx.PoleEditType poleEditType)
 Update pole status of the selected BSpine curve More...
 
unsafe void UpdateLockRegionGeometry (NXOpen.NXObject xformObject)
 Update lock region geometry with current geometry More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.StudioXformBuilderEx.AdvancedMethodType 
AdvancedMethod [get, set]
 Returns or sets the advanced method More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.AdvancedMethodOptionType 
AdvancedMethodOption [get, set]
 Returns or sets the advanced method More...
 
unsafe bool CanUseFaceFinder [get, set]
 Returns or sets the using face finder flag More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityUMax [get]
 Returns the continuity at U maximum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityUMin [get]
 Returns the continuity at U minimum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityVMax [get]
 Returns the continuity at V maximum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityVMin [get]
 Returns the continuity at V minimum More...
 
unsafe
NXOpen.GeometricUtilities.ControlPoleManagerData 
ControlPoleManager [get]
 Returns the control pole manager More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
CurveRange [get]
 Returns the curve range More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
DegreesAndSegmentsOrPatches [get]
 Returns the degrees and segments or patches More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.ExtrationMethodType 
ExtractMethod [get, set]
 Returns or sets the b-surface extraction method More...
 
unsafe double ExtractTolerance [get, set]
 Returns or sets the value indicating a tolerance to be used to extract a b-surface from a selection face More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
FaceFinder [get]
 Returns the face finder More...
 
unsafe double FallOffScale [get, set]
 Returns or sets the fall off scale More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.FeatureType 
FeatureSaveMethod [get, set]
 Returns or sets the feature save method More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.InsertKnotDirectionType 
InsertKnotDirection [get, set]
 Returns or sets the insert knot direction More...
 
unsafe int InsertKnotParameter [get, set]
 Returns or sets the parameter where to insert knots More...
 
unsafe bool IsSingleSelection [get, set]
 Returns or sets the single selection flag More...
 
unsafe bool KeepAllContinuity [get, set]
 Returns or sets a value indicating whether to keep all continuity More...
 
unsafe bool LockPoles [get, set]
 Returns or sets a value indicating whether to lock poles in boundary constraints More...
 
unsafe int LockRegionUEndFlexibility [get, set]
 Returns or sets the lock region flexibility at U end More...
 
unsafe int LockRegionUStartFlexibility [get, set]
 Returns or sets the lock region flexibility at U start More...
 
unsafe int LockRegionVEndFlexibility [get, set]
 Returns or sets the lock region flexibility at V end More...
 
unsafe int LockRegionVStartFlexibility [get, set]
 Returns or sets the lock region flexibility at V start More...
 
unsafe NXOpen.Plane MovementArbitraryPlane [get, set]
 Returns or sets the movement arbitrary plane More...
 
unsafe NXOpen.Direction MovementArbitraryVector [get, set]
 Returns or sets the movement arbitrary vector More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.MovementMethodType 
MovementMethod [get, set]
 Returns or sets the movement method More...
 
unsafe NXOpen.Plane PlanarizeArbitraryPlane [get, set]
 Returns or sets the planarize arbitrary plane More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PlanarizeDirectionType 
PlanarizeDirection [get, set]
 Returns or sets the planarize direction More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PlanarizeMethodType 
PlanarizeMethod [get, set]
 Returns or sets the planarize method More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PlanarizeProjectionPlaneType 
PlanarizeProjectionPlane [get, set]
 Returns or sets the planarize projection plane More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PrincipalMovementDirectionType 
PrincipalMovementDirection [get, set]
 Returns or sets the principal movement direction More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PrincipalRotatingAxisType 
PrincipalRotatingAxis [get, set]
 Returns or sets the principal rotating axis More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.PrincipalScalingDirectionType 
PrincipalScalingDirection [get, set]
 Returns or sets the principal scaling direction More...
 
unsafe bool ProportionalAllU [get, set]
 Returns or sets a value indicating whether to use all poles in U direction during the proportional movement More...
 
unsafe bool ProportionalAllV [get, set]
 Returns or sets a value indicating whether to use all poles in V direction during the proportional movement More...
 
unsafe double ProportionalFallOffScale [get, set]
 Returns or sets the proportional fall off scale More...
 
unsafe int ProportionalMoveAfterU [get, set]
 Returns or sets a value indicating the pole number after u to participate in the proportional movement More...
 
unsafe int ProportionalMoveAfterV [get, set]
 Returns or sets a value indicating the pole number after v to participate in the proportional movement More...
 
unsafe int ProportionalMoveBeforeU [get, set]
 Returns or sets a value indicating the pole number before u to participate in the proportional movement More...
 
unsafe int ProportionalMoveBeforeV [get, set]
 Returns or sets a value indicating the pole number before v to participate in the proportional movement More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.ProportionalPoleControlType 
ProportionalPoleControlOption [get, set]
 Returns or sets the proportional pole control type More...
 
unsafe NXOpen.Plane RotatingArbitraryPlane [get, set]
 Returns or sets the rotating arbitrary plane More...
 
unsafe NXOpen.Direction RotatingArbitraryVector [get, set]
 Returns or sets the rotating arbitrary vector More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.RotatingAxisType 
RotatingAxis [get, set]
 Returns or sets the rotating axis More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.RotatingPivotType 
RotatingPivot [get, set]
 Returns or sets the rotating pivot More...
 
unsafe NXOpen.Point RotatingPivotPoint [get, set]
 Returns or sets the rotating pivot point More...
 
unsafe NXOpen.Plane ScalingArbitraryPlane [get, set]
 Returns or sets the scaling arbitrary plane More...
 
unsafe NXOpen.Direction ScalingArbitraryVector [get, set]
 Returns or sets the scaling arbitrary vector More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.ScalingCenterType 
ScalingCenter [get, set]
 Returns or sets the scaling center More...
 
unsafe NXOpen.Point ScalingCenterPoint [get, set]
 Returns or sets the scaling center point More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.ScalingDirectionType 
ScalingDirection [get, set]
 Returns or sets the scaling direction More...
 
unsafe
NXOpen.GeometricUtilities.SurfaceRangeBuilder 
SurfaceRange [get]
 Returns the surface range More...
 
unsafe
NXOpen.Features.StudioXformBuilderEx.Types 
Type [get, set]
 Returns or sets the editing type More...
 
unsafe NXOpen.SelectNXObjectList XformObjects [get]
 Returns the object to be transformed. More...
 
unsafe
NXOpen.GeometricUtilities.OrientXpressBuilder 
XformOX [get]
 Returns the orient express object More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.StudioXform builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateStudioXformBuilderEx

Default values.

Property Value

AdvancedMethodOption

AdvancedOff

CanUseFaceFinder

0

CurveRange.AnchorPosition

Start

DegreesAndSegmentsOrPatches.Degree

3

DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

DegreesAndSegmentsOrPatches.UDegree

5

DegreesAndSegmentsOrPatches.UPatches

1

DegreesAndSegmentsOrPatches.VDegree

5

DegreesAndSegmentsOrPatches.VPatches

1

ExtractMethod

Original

FaceFinder.CoaxialEnabled

0

FaceFinder.CoplanarAxesEnabled

0

FaceFinder.CoplanarEnabled

0

FaceFinder.EqualDiameterEnabled

0

FaceFinder.OffsetEnabled

0

FaceFinder.ParallelEnabled

0

FaceFinder.PerpendicularEnabled

0

FaceFinder.SameOrbitEnabled

0

FaceFinder.SymmetricEnabled

0

FaceFinder.TangentEnabled

0

FaceFinder.ThicknessChainEnabled

0

FaceFinder.UseFaceBrowse

1

FallOffScale

0

FeatureSaveMethod

Relative

InsertKnotDirection

UDirection

InsertKnotParameter

20

IsSingleSelection

1

KeepAllContinuity

0

LockPoles

1

LockRegionUEndFlexibility

0

LockRegionUStartFlexibility

0

LockRegionVEndFlexibility

0

LockRegionVStartFlexibility

0

MovementMethod

View

PlanarizeDirection

U

PlanarizeMethod

AtPlaneLocation

PlanarizeProjectionPlane

YZ

PrincipalMovementDirection

Z

PrincipalRotatingAxis

Z

PrincipalScalingDirection

X

ProportionalAllU

1

ProportionalAllV

1

ProportionalFallOffScale (deprecated)

0.5

ProportionalMoveAfterU

0

ProportionalMoveAfterV

0

ProportionalMoveBeforeU

0

ProportionalMoveBeforeV

0

RotatingAxis

WCS

ScalingDirection

View

SurfaceRange.AnchorPosition

Vertex1

Created in NX6.0.0

Member Enumeration Documentation

Represents the advanced method option type

Enumerator
Proportional 

Proportional movement

LockRegion 

Lock region

InsertKnot 

Insert knot

AdvancedOff 

No advanced methods

Represents the advanced method type

Enumerator
ProportionalMovement 

Proportional movement

Falloff 

Fall off, it is deprecated in NX85 release

KeepContinuity 

Keep continuity, it is deprecated in NX85 release

LockRegion 

Lock region

InsertKnot 

Insert knot

AdvanceOff 

Turn off advanced methods

B-surface extraction method

Enumerator
Original 

Extract original surface

MinimumBounded 

Extract minimum bounded surface

FittoBoundary 

Extract surface fitted to boundary of face

Represents the feature type

Enumerator
Relative 

Relative feature type of Xform

Absolute 

Absolute feature type of Xform

Represents the insert knot direction type

Enumerator
UDirection 

Insert knot in U direction

VDirection 

Insert knot in V direction

Represents the insert pole type

Enumerator
Next 

Insert pole next to the selected pole

Previous 

Insert pole previous to the selected pole

Represents the Xform movement type

Enumerator
WCS 

Translate in principal direction

View 

Translate in view direction

Vector 

Translate in vector direction

Plane 

Translate on a plane

Normal 

Translate in normal direction

Polygon 

Translate in polygon direction

Represents the planarize direction type

Enumerator
U 

U direction when planarize

V 

V direction when planarize

Represents the planarize method type

Enumerator
AtPlaneLocation 

planarize at plane location

AtPoleLocation 

planarize at pole location

OnaBestFitPlane 

planarize at a best fit plane

Represents the planarize projection plane type

Enumerator
YZ 

On Y-Z plane when planarize

XZ 

On X-Z plane when planarize

XY 

On X-Y plane when planarize

Plane 

On arbitrary plane when planarize

Editing types of a pole of spline belonging to a Studio Spline feature

Enumerator
None 

Not edited

Constrained 

Edited maintaining constraint

Free 

Edited without maintaining constraint

Represents the principal movement direction type

Enumerator
X 

Translate in X direction

Y 

Translate in Y direction

Z 

Translate in Z direction

YZ 

Translate on Y-Z plane

XZ 

Translate on X-Z plane

XY 

Translate on X-Y plane

XYZ 

Translate on X-Y-Z coordinates

Represents the principal rotation axis type

Enumerator
X 

Rotate in X direction

Y 

Rotate in Y direction

Z 

Rotate in Z direction

Represents the principal scaling direction type

Enumerator
X 

Scale in X direction

Y 

Scale in Y direction

Z 

Scale in Z direction

YZ 

Scale on Y-Z plane

XZ 

Scale on X-Z plane

XY 

Scale on X-Y plane

Represents the pole control type in proportional method

Enumerator
All 

All poles are moved

Selected 

Only selected poles are moved

ByUV 

Poles on U or V are moved

Represents the rotation axis type

Enumerator
WCS 

Rotate in principal direction

View 

Rotate in view direction

Vector 

Rotate in vector direction

Plane 

Rotate on a plane

Represents the rotating pivot type

Enumerator
Rotateaboutobjectcenter 

Rotate pivot at the object center

Rotateaboutselected 

Rotate pivot at the selected object

Rotateaboutpoint 

Rotate pivot at a point

Represents the scaling center type

Enumerator
Scaleaboutobjectcenter 

Scale center at the object center

Scaleaboutselected 

Scale center at the selected object

Scaleaboutpoint 

Scale center at a point

Represents the scaling direction type

Enumerator
WCS 

Scale in principal direction

View 

Scale in view direction

Vector 

Scale in vector direction

Plane 

Scale in plane direction

PlaneofCurve 

Scale on Plane of curve

Represents the U or V direction of a B-Surface

Enumerator
U 

U direction of a B-Surface

V 

V direction of a B-Surface

Represents the Xform editing type

Enumerator
Translate 

Translate type of Xform

Rotate 

Rotate type of Xform

Scale 

Scale type of Xform

Planarize 

Planarize type of Xform

Member Function Documentation

unsafe void NXOpen.Features.StudioXformBuilderEx.ChangeDegree ( NXOpen.NXObject  xformObject)
inline

Changes degree of the selected xform object

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx.ChangeDegreeWithParameters instead.

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
unsafe void NXOpen.Features.StudioXformBuilderEx.ChangeDegreeWithParameters ( NXOpen.NXObject  xformObject,
int  uDegree,
int  vDegree,
int  uPatch,
int  vPatch 
)
inline

Changes degree of the selected xform object with desired parameters

Created in NX8.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
uDegreethe U degree to change to, valid range is [1, 24]
vDegreethe V degree to change to, valid range is [1, 24]
uPatchthe U patch to change to, valid value is greater than 1
vPatchthe V patch to change to, valid value is greater than 1
unsafe void NXOpen.Features.StudioXformBuilderEx.ChangeFlexibility ( NXOpen.NXObject  xformObject)
inline

Changes flexibility of the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
unsafe void NXOpen.Features.StudioXformBuilderEx.ConvertParameters ( NXOpen.NXObject  xformObject)
inline

Converts parameters of the feature that owns selected xform object.

Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to convert pameters from
unsafe void NXOpen.Features.StudioXformBuilderEx.EndLockRegion ( NXOpen.NXObject  xformObject)
inline

End Lock Region operation to the selected xform object

Created in NX8.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to end Lock Region operation of
unsafe void NXOpen.Features.StudioXformBuilderEx.FallOffReset ( )
inline

Reset the fall off scale

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilderEx.InsertKnot ( NXOpen.NXObject  xformObject)
inline

Inserts knot in the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert knot in
unsafe void NXOpen.Features.StudioXformBuilderEx.InsertKnots ( )
inline

Insert knots

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilderEx.InsertPole ( NXOpen.NXObject  xformObject,
int  poleIndex,
NXOpen.Features.StudioXformBuilderEx.InsertPoleType  insertType,
NXOpen.Features.StudioXformBuilderEx.SurfaceDirectionType  direction,
double  location 
)
inline

Inserts a pole in the selected xform object

Created in NX8.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert pole to
poleIndexwhich pole index to begin insert to
insertTypeInsert type
directionU or V direction a pole row on a surface is inserted, pass U direction for a curve
locationa point between 2 poles to indicate where a pole should be inserted, express as %
unsafe void NXOpen.Features.StudioXformBuilderEx.LockRegionNextObject ( )
inline

Move to next object in Lock Region method when more than one objected are in editing

Created in NX8.5.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilderEx.ProportionalReset ( )
inline

Reset the proportional scale

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx.FallOffReset instead.

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilderEx.RebaseOriginalGeometry ( NXOpen.NXObject  xformObject)
inline

Replaces the original geometry data of an entity with the current deformed geometry data

Created in NX8.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to rebase the geometry data of
unsafe void NXOpen.Features.StudioXformBuilderEx.RemovePole ( NXOpen.NXObject  xformObject,
int  poleIndex,
NXOpen.Features.StudioXformBuilderEx.SurfaceDirectionType  direction 
)
inline

Inserts a pole in the selected xform object

Created in NX8.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to remove pole from
poleIndexwhich pole index to remove
directionU or V direction a pole row on a surface is removed, pass U direction for a curve
unsafe void NXOpen.Features.StudioXformBuilderEx.RestoreParentFace ( )
inline

Restore the parent face of a selection face

Created in NX7.5.2

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilderEx.SetPoleEditType ( NXOpen.NXObject  xformObject,
int  index,
NXOpen.Features.StudioXformBuilderEx.PoleEditType  poleEditType 
)
inline

Update pole status of the selected BSpine curve

Created in NX7.5.4

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectspline being edited
indexindex of a pole being edited
poleEditTypethe pole edit type
unsafe void NXOpen.Features.StudioXformBuilderEx.UpdateLockRegionGeometry ( NXOpen.NXObject  xformObject)
inline

Update lock region geometry with current geometry

Created in NX6.0.2

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of

Property Documentation

unsafe NXOpen.Features.StudioXformBuilderEx.AdvancedMethodType NXOpen.Features.StudioXformBuilderEx.AdvancedMethod
getset

Returns or sets the advanced method

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx.AdvancedMethodOption instead.

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.AdvancedMethodOptionType NXOpen.Features.StudioXformBuilderEx.AdvancedMethodOption
getset

Returns or sets the advanced method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.CanUseFaceFinder
getset

Returns or sets the using face finder flag

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilderEx.ContinuityUMax
get

Returns the continuity at U maximum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilderEx.ContinuityUMin
get

Returns the continuity at U minimum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilderEx.ContinuityVMax
get

Returns the continuity at V maximum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilderEx.ContinuityVMin
get

Returns the continuity at V minimum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ControlPoleManagerData NXOpen.Features.StudioXformBuilderEx.ControlPoleManager
get

Returns the control pole manager

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.Features.StudioXformBuilderEx.CurveRange
get

Returns the curve range

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.StudioXformBuilderEx.DegreesAndSegmentsOrPatches
get

Returns the degrees and segments or patches

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StudioXformBuilderEx.ExtrationMethodType NXOpen.Features.StudioXformBuilderEx.ExtractMethod
getset

Returns or sets the b-surface extraction method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StudioXformBuilderEx.ExtractTolerance
getset

Returns or sets the value indicating a tolerance to be used to extract a b-surface from a selection face

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.FaceRecognitionBuilder NXOpen.Features.StudioXformBuilderEx.FaceFinder
get

Returns the face finder

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.StudioXformBuilderEx.FallOffScale
getset

Returns or sets the fall off scale

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.FeatureType NXOpen.Features.StudioXformBuilderEx.FeatureSaveMethod
getset

Returns or sets the feature save method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.InsertKnotDirectionType NXOpen.Features.StudioXformBuilderEx.InsertKnotDirection
getset

Returns or sets the insert knot direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.InsertKnotParameter
getset

Returns or sets the parameter where to insert knots

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.IsSingleSelection
getset

Returns or sets the single selection flag

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.KeepAllContinuity
getset

Returns or sets a value indicating whether to keep all continuity

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.LockPoles
getset

Returns or sets a value indicating whether to lock poles in boundary constraints

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.LockRegionUEndFlexibility
getset

Returns or sets the lock region flexibility at U end

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.LockRegionUStartFlexibility
getset

Returns or sets the lock region flexibility at U start

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.LockRegionVEndFlexibility
getset

Returns or sets the lock region flexibility at V end

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.LockRegionVStartFlexibility
getset

Returns or sets the lock region flexibility at V start

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilderEx.MovementArbitraryPlane
getset

Returns or sets the movement arbitrary plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilderEx.MovementArbitraryVector
getset

Returns or sets the movement arbitrary vector

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.MovementMethodType NXOpen.Features.StudioXformBuilderEx.MovementMethod
getset

Returns or sets the movement method

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilderEx.PlanarizeArbitraryPlane
getset

Returns or sets the planarize arbitrary plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PlanarizeDirectionType NXOpen.Features.StudioXformBuilderEx.PlanarizeDirection
getset

Returns or sets the planarize direction

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PlanarizeMethodType NXOpen.Features.StudioXformBuilderEx.PlanarizeMethod
getset

Returns or sets the planarize method

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PlanarizeProjectionPlaneType NXOpen.Features.StudioXformBuilderEx.PlanarizeProjectionPlane
getset

Returns or sets the planarize projection plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PrincipalMovementDirectionType NXOpen.Features.StudioXformBuilderEx.PrincipalMovementDirection
getset

Returns or sets the principal movement direction

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PrincipalRotatingAxisType NXOpen.Features.StudioXformBuilderEx.PrincipalRotatingAxis
getset

Returns or sets the principal rotating axis

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.PrincipalScalingDirectionType NXOpen.Features.StudioXformBuilderEx.PrincipalScalingDirection
getset

Returns or sets the principal scaling direction

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.ProportionalAllU
getset

Returns or sets a value indicating whether to use all poles in U direction during the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilderEx.ProportionalAllV
getset

Returns or sets a value indicating whether to use all poles in V direction during the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StudioXformBuilderEx.ProportionalFallOffScale
getset

Returns or sets the proportional fall off scale

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx.FallOffScale instead.

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.ProportionalMoveAfterU
getset

Returns or sets a value indicating the pole number after u to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.ProportionalMoveAfterV
getset

Returns or sets a value indicating the pole number after v to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.ProportionalMoveBeforeU
getset

Returns or sets a value indicating the pole number before u to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilderEx.ProportionalMoveBeforeV
getset

Returns or sets a value indicating the pole number before v to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.ProportionalPoleControlType NXOpen.Features.StudioXformBuilderEx.ProportionalPoleControlOption
getset

Returns or sets the proportional pole control type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilderEx.RotatingArbitraryPlane
getset

Returns or sets the rotating arbitrary plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilderEx.RotatingArbitraryVector
getset

Returns or sets the rotating arbitrary vector

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.RotatingAxisType NXOpen.Features.StudioXformBuilderEx.RotatingAxis
getset

Returns or sets the rotating axis

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.RotatingPivotType NXOpen.Features.StudioXformBuilderEx.RotatingPivot
getset

Returns or sets the rotating pivot

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.StudioXformBuilderEx.RotatingPivotPoint
getset

Returns or sets the rotating pivot point

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilderEx.ScalingArbitraryPlane
getset

Returns or sets the scaling arbitrary plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilderEx.ScalingArbitraryVector
getset

Returns or sets the scaling arbitrary vector

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.ScalingCenterType NXOpen.Features.StudioXformBuilderEx.ScalingCenter
getset

Returns or sets the scaling center

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.StudioXformBuilderEx.ScalingCenterPoint
getset

Returns or sets the scaling center point

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilderEx.ScalingDirectionType NXOpen.Features.StudioXformBuilderEx.ScalingDirection
getset

Returns or sets the scaling direction

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.SurfaceRangeBuilder NXOpen.Features.StudioXformBuilderEx.SurfaceRange
get

Returns the surface range

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.StudioXformBuilderEx.Types NXOpen.Features.StudioXformBuilderEx.Type
getset

Returns or sets the editing type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.StudioXformBuilderEx.XformObjects
get

Returns the object to be transformed.

Any face having b-surface type geometry or curve having b-curve geometry can be transformed.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OrientXpressBuilder NXOpen.Features.StudioXformBuilderEx.XformOX
get

Returns the orient express object

Created in NX7.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.